import { TxBytes, TxData } from '@scrow/tapscript';
import { CoreWallet } from './wallet.js';
import { CLIConfig, MethodArgs, ScanAction, ScanObject, ScanResults, WalletConfig, WalletList, CoreConfig } from '../types/index.js';
export declare class CoreClient {
    readonly _opt: CoreConfig;
    params: string[];
    constructor(config?: Partial<CLIConfig>);
    get opt(): CoreConfig;
    get get_info(): Promise<Record<string, any>>;
    get list_wallets(): Promise<string[]>;
    get list_wallet_dir(): Promise<WalletList>;
    cmd<T = Record<string, string>>(method: string, args?: MethodArgs, params?: string[]): Promise<T>;
    scan_txout(action: ScanAction, ...desc: (string | ScanObject)[]): Promise<ScanResults>;
    scan_addr(addr: string): Promise<import("../types/scan.js").UTXOResult[]>;
    mine_blocks(count?: number, addr?: string): Promise<Record<string, string>>;
    get_tx(txid: string): Promise<{
        hex: string;
        meta: {
            txid: string;
            hash: string;
            version: number;
            size: number;
            vsize: number;
            weight: number;
            locktime: number;
            vin: [{
                txid: string;
                vout: number;
                scriptSig: {
                    asm: string;
                    hex: string;
                };
                txinwitness: string[];
                sequence: number;
            }];
            vout: [{
                n: number;
                value: number;
                scriptPubKey: import("../types/info.js").ScriptKeyResult;
            }];
        };
        txdata: TxData;
    }>;
    get_wallet(name: string): Promise<CoreWallet>;
    is_wallet_loaded(name: string): Promise<boolean>;
    is_wallet_created(name: string): Promise<{
        name: string;
    } | undefined>;
    load_wallet(name: string): Promise<void>;
    create_wallet(name: string, config?: WalletConfig): Promise<void>;
    publish_tx(txdata: TxBytes | TxData): Promise<string>;
}
//# sourceMappingURL=client.d.ts.map